Xcode error haver updating via cocoapod to v 1.1


#1

I just upgraded the iOS client to v1.1 via cocoa pods and I got this error on trying to compile

Undefined symbols for architecture armv7:
  "_OBJC_IVAR_$_CBLQueryOptions.content", referenced from:
      -[CBL_Router getQueryOptions] in CouchbaseLiteListener(libCouchbaseLiteListener.a-armv7-master.o)

I’m using xcode 6.4 and the project is being done in swift


#2

Hey @kanundrum,

I am unaware of the error and will follow up. Does the error persist when you download the Couchbase Lite framework and have it in your Xcode Frameworks folder?

Can reference the ‘Add the Couchbase Lite framework’ guide section for setup.


#3

I downgraded to 1.0.4 and that solved the issues. (I was using 1.0.3
before). I didn’t try downloading directly and putting it in the frameworks
folder.